kombu (5.6.2-1) unstable; urgency=low

  * New upstream version 5.6.2
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.
  * Update year in d/copyright.
  * Use uscan version 5.
  * Switch Testsuite to autopkgtest-pkg-pybuild.

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Jan 2026 20:05:41 +0000

kombu (5.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Dec 2025 16:06:44 +0000

kombu (5.5.4-3) unstable; urgency=medium

  * Team upload.
  * Drop unused python3-tz build-dependency

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Nov 2025 14:34:57 +0100

kombu (5.5.4-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patchet to support latest pymongo in unstable
  * Drop "Rules-Requires-Root: no": this is now the default
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 Oct 2025 21:13:09 +0200

kombu (5.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2025 13:45:44 +0100

kombu (5.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2025 12:45:44 +0100

kombu (5.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.  Note that the dependencies needed to use Google
    Cloud Pub/Sub as a transport broker are not currently packaged in
    Debian.

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Apr 2025 16:14:43 +0100

kombu (5.4.2-3) unstable; urgency=medium

  * Team upload
  * Trim autopkgtest deps, avoid "@builddeps@"
  * Lintian has been fixed, remove overide for false match

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Feb 2025 07:45:48 +0100

kombu (5.4.2-2) unstable; urgency=medium

  * Team upload
  * Replace pyro4 with pyro5

 -- Bastian Germann <bage@debian.org>  Mon, 02 Dec 2024 16:14:49 +0100

kombu (5.4.2-1) unstable; urgency=low

  * New upstream version 5.4.2
  * Bump Standards-Version to 4.7.0.
  * Use dh-sequence-python3.
  * Add linitan overrides for false-positive stdlib deprecation.

 -- Michael Fladischer <fladi@debian.org>  Tue, 24 Sep 2024 11:51:06 +0000

kombu (5.4.0-1) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-simplejson
  * New upstream version 5.4.0

 -- Alexandre Detiste <tchet@debian.org>  Sat, 31 Aug 2024 00:30:47 +0200

kombu (5.3.7-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-case

 -- Alexandre Detiste <tchet@debian.org>  Wed, 15 May 2024 00:01:19 +0200

kombu (5.3.7-1) unstable; urgency=low

  * New upstream version 5.3.7

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Apr 2024 22:11:10 +0000

kombu (5.3.6-1) unstable; urgency=low

  * New upstream version 5.3.6
  * Drop patch for pytest-v8 compatibility, fixed in upstream.

 -- Michael Fladischer <fladi@debian.org>  Sun, 31 Mar 2024 18:27:38 +0000

kombu (5.3.5-2) unstable; urgency=medium

  * Team upload.
  * Remove (build-)dependency on python3-anyjson; kombu no longer uses it as
    of 4.0.
  * Cherry-pick upstream patch to fix test failures with pytest v8.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Feb 2024 11:12:18 +0000

kombu (5.3.5-1) unstable; urgency=low

  [ Alexandre Detiste ]
  * remove extraneous build dep python3-mock

  [ Michael Fladischer ]
  * New upstream version 5.3.5
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Jan 2024 16:03:46 +0000

kombu (5.3.4-1) unstable; urgency=low

  * New upstream version 5.3.4

 -- Michael Fladischer <fladi@debian.org>  Wed, 29 Nov 2023 15:52:36 +0000

kombu (5.3.2-2) unstable; urgency=medium

  * Add patch to satisfy assinine sphinx 7.x parsing logic for copyright year
    substitution (Closes: #1042706).

 -- Michael Fladischer <fladi@debian.org>  Tue, 31 Oct 2023 09:20:05 +0000

kombu (5.3.2-1) unstable; urgency=medium

  * New upstream version 5.3.2
  * Use github.com in d/watch.
  * Clean up artifacts right after running tests.
  * Simplify d/rules by using execute_ targets instead of overrides.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 03 Sep 2023 21:34:32 +0000

kombu (5.3.1-2) unstable; urgency=medium

  * Remove /usr/lib/python3/dist-packages/control (Closes: #1037554).

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jul 2023 09:02:40 +0200

kombu (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Jun 2023 07:41:42 +0000

kombu (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Add python3-hypothesis to Build-Depends, required by tests.
  * Bump Standards-Version to 4.6.2.
  * Clean up .pytest_cache directory after build-time tests.
  * Skip redis sentinel tests.
  * Remove override for dh_python3.
  * Refresh patches and drop upstreamed ones.
  * Skip redis sentinel tests in autopkgtests.
  * Add linitan overrides for PKCS7 bundle used in PayPal donation
    button.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Jun 2023 13:08:32 +0000

kombu (5.2.4-1) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on python3-anyjson.
    + python3-kombu: Drop versioned constraint on python3-anyjson in Depends.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Fri, 18 Mar 2022 08:54:27 +0000

kombu (5.2.3-1) unstable; urgency=low

  * New upstream release.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 07 Jan 2022 17:05:20 +0000

kombu (5.2.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add d/upstream/metadata.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 23 Nov 2021 09:56:31 +0000

kombu (5.1.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.
  * Add python3-azure to Build-Depends, required by tests.
  * Configure tests using pybuild environment variables instead of
    debhelper override.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Wed, 15 Sep 2021 07:37:58 +0000

kombu (5.0.2-3) unstable; urgency=medium

  * Add patch: allow-any-version-of-pytest.patch (Closes: #977069).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jan 2021 19:08:48 +0100

kombu (5.0.2-2) unstable; urgency=medium

  * Team upload.
  * Declare Breaks: python3-celery (<< 5.0)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 26 Oct 2020 13:56:14 -0300

kombu (5.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Thomas Goirand ]
  * New upstream release.
  * Min version of python3-amqp is now 5.0.
  * Add a debian/salsa-ci.yml.

  [ Nicolas Dandrimont ]
  * Mark import-only autopkgtests as superficial.
  * Drop importlib-metadata dependencies, this module is built-in to
    Python >= 3.8 (Closes: #964093).
  * Drop unused upstream signing key.
  * Add missing dependency on python3-vine (Closes: #971697).

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 17 Oct 2020 01:22:45 +0200

kombu (5.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Thomas Goirand ]
  * Uploading to unstable

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2020 15:06:04 +0200

kombu (5.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed 0002-Disable-intershpinx-mapping-for-now.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2020 16:58:44 +0200

kombu (4.6.11-2) unstable; urgency=medium

  * Remove python3-funcsigs from B-D.
    It is not needed anymore to perform the tests. (Closes: #960002)
  * Improve d/clean.
    Also remove unnecessary override_dh_clean from d/rules.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 01 Jul 2020 01:17:33 -0400

kombu (4.6.11-1) unstable; urgency=low

  * New upstream release (Closes: #963419).
  * Refresh patches.
  * Add python3-botocore to Build-Depends-Indep, required by tests.
  * Bump debhelper version to 13.
  * Fix file name in d/copyright so lintian can correctly detect that it
    exists.
  * Remove debian/upstream-signing-key.pgp from include-binaries, no
    longer used.

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Jun 2020 14:53:43 +0200

kombu (4.6.8-1) unstable; urgency=medium

  [ Michael Fladischer ]
  * Run wrap-and-sort -bast to reduce diff size of future changes.

  [ Sergio Durigan Junior ]
  * New upstream version 4.6.8
  * Mark python-kombu-doc as Multi-Arch: foreign.
  * Bump Standards-Version to 4.5.0.
  * Add myself to the list of Uploaders.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 13 Mar 2020 19:51:16 -0400

kombu (4.6.7-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.
  * Disable PGP signature check in uscan as upstream is not providing a
    signature for current releases.
  * Refresh patches.
  * Clean up .pytest_cache/CACHEDIR.TAG to allow two builds in a row.
  * Set Rules-Requires-Root: no.
  * Bump debhelper version to 12.
  * Bump dependency on python3-amqp to (>= 2.5.2).
  * Fix typo in patch.
  * Remove trailing whitespaces from d/changelog.
  * Use https:// for uscan URL.
  * Set Vcs-* to salsa.debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 17 Dec 2019 22:30:32 +0100

kombu (4.6.4-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:32:32 +0200

kombu (4.6.4-2) experimental; urgency=medium

  * Correctly build-depends on python3-amqp >= 2.5.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2019 09:25:15 +0200

kombu (4.6.4-1) experimental; urgency=medium

  * New upstream release.
  * Drop 0005-Fix-compat-with-redis3.patch applied upstream.
  * Rebased 0003-Remove-pytest-sugar-from-test-requirements.patch.
  * Drop 0004-Fix-failing-unittests-of-pyamqp-transport.patch applied upstream.
  * Add python3-pyro4 to build-depends.
  * Add python3-importlib-metadata to (build-)depends.
  * Add allow-amqp-2.5.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 13:25:50 +0200

kombu (4.2.1-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 21:54:13 +0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python-kombu-doc`.
